import{s as _t,n as bt,o as vt}from"../chunks/scheduler.6062bdaf.js";import{S as Dt,i as qt,g as s,s as a,u as y,A as yt,h as i,f as t,c,j as g,v as x,y as u,k as h,o as n,a as r,w as C,d as $,t as P,x as w}from"../chunks/index.7658fce3.js";import{D as V}from"../chunks/Docstring.5ab7be14.js";import{I as pt}from"../chunks/IconCopyLink.d844a6a2.js";function xt(Je){let b,me,he,fe,v,T,ge,E,Ee,U,Be="Interacting with Discussions and Pull Requests",pe,H,Ke=`Check the <a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi">HfApi</a> documentation page for the reference of methods enabling
interaction with Pull Requests and Discussions on the Hub.`,_e,k,Qe='<li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.get_repo_discussions">get_repo_discussions()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.get_discussion_details">get_discussion_details()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.create_discussion">create_discussion()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.create_pull_request">create_pull_request()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.rename_discussion">rename_discussion()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.comment_discussion">comment_discussion()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.edit_discussion_comment">edit_discussion_comment()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.change_discussion_status">change_discussion_status()</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/hf_api#huggingface_hub.HfApi.merge_pull_request">merge_pull_request()</a></li>',be,D,R,de,L,He,F,Xe="Data structures",ve,l,S,ke,z,Ye="A Discussion or Pull Request on the Hub.",Le,G,Ze="This dataclass is not intended to be instantiated directly.",De,q,I,Se,J,et='Subclass of <a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.Discussion">Discussion</a>.',qe,d,W,Ie,B,tt="An event in a Discussion or Pull Request.",We,K,nt="Use concrete classes:",Me,Q,st='<li><a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionComment">DiscussionComment</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionStatusChange">DiscussionStatusChange</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionCommit">DiscussionCommit</a></li> <li><a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionTitleChange">DiscussionTitleChange</a></li>',ye,m,M,je,X,it="A comment in a Discussion / Pull Request.",Ne,Y,ot='Subclass of <a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',xe,f,j,Oe,Z,at="A change of status in a Discussion / Pull Request.",Ve,ee,ct='Subclass of <a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',Ce,p,N,Ue,te,rt="A commit in a Pull Request.",Fe,ne,ut='Subclass of <a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',$e,_,O,ze,se,ht="A rename event in a Discussion / Pull Request.",Ge,ie,gt='Subclass of <a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>.',Pe,le,we;return E=new pt({}),L=new pt({}),S=new V({props:{name:"class huggingface_hub.Discussion",anchor:"huggingface_hub.Discussion",parameters:[{name:"title",val:": str"},{name:"status",val:": typing.Literal['open', 'closed', 'merged', 'draft']"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.Discussion.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.Discussion.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It must be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.Discussion.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.Discussion.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.Discussion.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.Discussion.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.Discussion.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.Discussion.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.Discussion.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.Discussion.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.Discussion.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/community.py#L19"}}),I=new V({props:{name:"class huggingface_hub.DiscussionWithDetails",anchor:"huggingface_hub.DiscussionWithDetails",parameters:[{name:"title",val:": str"},{name:"status",val:": typing.Literal['open', 'closed', 'merged', 'draft']"},{name:"num",val:": int"},{name:"repo_id",val:": str"},{name:"repo_type",val:": str"},{name:"author",val:": str"},{name:"is_pull_request",val:": bool"},{name:"created_at",val:": datetime"},{name:"endpoint",val:": str"},{name:"events",val:": typing.List[ForwardRef('DiscussionEvent')]"},{name:"conflicting_files",val:": typing.Optional[typing.List[str]]"},{name:"target_branch",val:": typing.Optional[str]"},{name:"merge_commit_oid",val:": typing.Optional[str]"},{name:"diff",val:": typing.Optional[str]"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionWithDetails.title",description:`<strong>title</strong> (<code>str</code>) &#x2014;
The title of the Discussion / Pull Request`,name:"title"},{anchor:"huggingface_hub.DiscussionWithDetails.status",description:`<strong>status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
<li><code>&quot;draft&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"status"},{anchor:"huggingface_hub.DiscussionWithDetails.num",description:`<strong>num</strong> (<code>int</code>) &#x2014;
The number of the Discussion / Pull Request.`,name:"num"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_id",description:`<strong>repo_id</strong> (<code>str</code>) &#x2014;
The id (<code>&quot;{namespace}/{repo_name}&quot;</code>) of the repo on which
the Discussion / Pull Request was open.`,name:"repo_id"},{anchor:"huggingface_hub.DiscussionWithDetails.repo_type",description:`<strong>repo_type</strong> (<code>str</code>) &#x2014;
The type of the repo on which the Discussion / Pull Request was open.
Possible values are: <code>&quot;model&quot;</code>, <code>&quot;dataset&quot;</code>, <code>&quot;space&quot;</code>.`,name:"repo_type"},{anchor:"huggingface_hub.DiscussionWithDetails.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionWithDetails.is_pull_request",description:`<strong>is_pull_request</strong> (<code>bool</code>) &#x2014;
Whether or not this is a Pull Request.`,name:"is_pull_request"},{anchor:"huggingface_hub.DiscussionWithDetails.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
The <code>datetime</code> of creation of the Discussion / Pull Request.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionWithDetails.events",description:`<strong>events</strong> (<code>list</code> of <a href="/docs/huggingface_hub/main/en/package_reference/community#huggingface_hub.DiscussionEvent">DiscussionEvent</a>) &#x2014;
The list of <code>DiscussionEvents</code> in this Discussion or Pull Request.`,name:"events"},{anchor:"huggingface_hub.DiscussionWithDetails.conflicting_files",description:`<strong>conflicting_files</strong> (<code>list</code> of <code>str</code>, <em>optional</em>) &#x2014;
A list of conflicting files if this is a Pull Request.
<code>None</code> if <code>self.is_pull_request</code> is <code>False</code>.`,name:"conflicting_files"},{anchor:"huggingface_hub.DiscussionWithDetails.target_branch",description:`<strong>target_branch</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The branch into which changes are to be merged if this is a
Pull Request . <code>None</code>  if <code>self.is_pull_request</code> is <code>False</code>.`,name:"target_branch"},{anchor:"huggingface_hub.DiscussionWithDetails.merge_commit_oid",description:`<strong>merge_commit_oid</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If this is a merged Pull Request , this is set to the OID / SHA of
the merge commit, <code>None</code> otherwise.`,name:"merge_commit_oid"},{anchor:"huggingface_hub.DiscussionWithDetails.diff",description:`<strong>diff</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The git diff if this is a Pull Request , <code>None</code> otherwise.`,name:"diff"},{anchor:"huggingface_hub.DiscussionWithDetails.endpoint",description:`<strong>endpoint</strong> (<code>str</code>) &#x2014;
Endpoint of the Hub. Default is <a href="https://huggingface.co" rel="nofollow">https://huggingface.co</a>.`,name:"endpoint"},{anchor:"huggingface_hub.DiscussionWithDetails.git_reference",description:`<strong>git_reference</strong> (<code>str</code>, <em>optional</em>) &#x2014;
(property) Git reference to which changes can be pushed if this is a Pull Request, <code>None</code> otherwise.`,name:"git_reference"},{anchor:"huggingface_hub.DiscussionWithDetails.url",description:`<strong>url</strong> (<code>str</code>) &#x2014;
(property) URL of the discussion on the Hub.`,name:"url"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/community.py#L87"}}),W=new V({props:{name:"class huggingface_hub.DiscussionEvent",anchor:"huggingface_hub.DiscussionEvent",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionEvent.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionEvent.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionEvent.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionEvent.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/community.py#L145"}}),M=new V({props:{name:"class huggingface_hub.DiscussionComment",anchor:"huggingface_hub.DiscussionComment",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"content",val:": str"},{name:"edited",val:": bool"},{name:"hidden",val:": bool"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionComment.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionComment.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionComment.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionComment.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionComment.content",description:`<strong>content</strong> (<code>str</code>) &#x2014;
The raw markdown content of the comment. Mentions, links and images are not rendered.`,name:"content"},{anchor:"huggingface_hub.DiscussionComment.edited",description:`<strong>edited</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been edited.`,name:"edited"},{anchor:"huggingface_hub.DiscussionComment.hidden",description:`<strong>hidden</strong> (<code>bool</code>) &#x2014;
Whether or not this comment has been hidden.`,name:"hidden"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/community.py#L178"}}),j=new V({props:{name:"class huggingface_hub.DiscussionStatusChange",anchor:"huggingface_hub.DiscussionStatusChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"new_status",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionStatusChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionStatusChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionStatusChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionStatusChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionStatusChange.new_status",description:`<strong>new_status</strong> (<code>str</code>) &#x2014;
The status of the Discussion / Pull Request after the change.
It can be one of:<ul>
<li><code>&quot;open&quot;</code></li>
<li><code>&quot;closed&quot;</code></li>
<li><code>&quot;merged&quot;</code> (only for Pull Requests )</li>
</ul>`,name:"new_status"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/community.py#L233"}}),N=new V({props:{name:"class huggingface_hub.DiscussionCommit",anchor:"huggingface_hub.DiscussionCommit",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"summary",val:": str"},{name:"oid",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionCommit.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionCommit.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionCommit.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionCommit.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionCommit.summary",description:`<strong>summary</strong> (<code>str</code>) &#x2014;
The summary of the commit.`,name:"summary"},{anchor:"huggingface_hub.DiscussionCommit.oid",description:`<strong>oid</strong> (<code>str</code>) &#x2014;
The OID / SHA of the commit, as a hexadecimal string.`,name:"oid"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/community.py#L261"}}),O=new V({props:{name:"class huggingface_hub.DiscussionTitleChange",anchor:"huggingface_hub.DiscussionTitleChange",parameters:[{name:"id",val:": str"},{name:"type",val:": str"},{name:"created_at",val:": datetime"},{name:"author",val:": str"},{name:"_event",val:": dict"},{name:"old_title",val:": str"},{name:"new_title",val:": str"}],parametersDescription:[{anchor:"huggingface_hub.DiscussionTitleChange.id",description:`<strong>id</strong> (<code>str</code>) &#x2014;
The ID of the event. An hexadecimal string.`,name:"id"},{anchor:"huggingface_hub.DiscussionTitleChange.type",description:`<strong>type</strong> (<code>str</code>) &#x2014;
The type of the event.`,name:"type"},{anchor:"huggingface_hub.DiscussionTitleChange.created_at",description:`<strong>created_at</strong> (<code>datetime</code>) &#x2014;
A <a href="https://docs.python.org/3/library/datetime.html?highlight=datetime#datetime.datetime" rel="nofollow"><code>datetime</code></a>
object holding the creation timestamp for the event.`,name:"created_at"},{anchor:"huggingface_hub.DiscussionTitleChange.author",description:`<strong>author</strong> (<code>str</code>) &#x2014;
The username of the Discussion / Pull Request author.
Can be <code>&quot;deleted&quot;</code> if the user has been deleted since.`,name:"author"},{anchor:"huggingface_hub.DiscussionTitleChange.old_title",description:`<strong>old_title</strong> (<code>str</code>) &#x2014;
The previous title for the Discussion / Pull Request.`,name:"old_title"},{anchor:"huggingface_hub.DiscussionTitleChange.new_title",description:`<strong>new_title</strong> (<code>str</code>) &#x2014;
The new title.`,name:"new_title"}],source:"https://github.com/huggingface/huggingface_hub/blob/main/src/huggingface_hub/community.py#L288"}}),{c(){b=s("meta"),me=a(),he=s("p"),fe=a(),v=s("h1"),T=s("a"),ge=s("span"),y(E.$$.fragment),Ee=a(),U=s("span"),U.textContent=Be,pe=a(),H=s("p"),H.innerHTML=Ke,_e=a(),k=s("ul"),k.innerHTML=Qe,be=a(),D=s("h2"),R=s("a"),de=s("span"),y(L.$$.fragment),He=a(),F=s("span"),F.textContent=Xe,ve=a(),l=s("div"),y(S.$$.fragment),ke=a(),z=s("p"),z.textContent=Ye,Le=a(),G=s("p"),G.textContent=Ze,De=a(),q=s("div"),y(I.$$.fragment),Se=a(),J=s("p"),J.innerHTML=et,qe=a(),d=s("div"),y(W.$$.fragment),Ie=a(),B=s("p"),B.textContent=tt,We=a(),K=s("p"),K.textContent=nt,Me=a(),Q=s("ul"),Q.innerHTML=st,ye=a(),m=s("div"),y(M.$$.fragment),je=a(),X=s("p"),X.textContent=it,Ne=a(),Y=s("p"),Y.innerHTML=ot,xe=a(),f=s("div"),y(j.$$.fragment),Oe=a(),Z=s("p"),Z.textContent=at,Ve=a(),ee=s("p"),ee.innerHTML=ct,Ce=a(),p=s("div"),y(N.$$.fragment),Ue=a(),te=s("p"),te.textContent=rt,Fe=a(),ne=s("p"),ne.innerHTML=ut,$e=a(),_=s("div"),y(O.$$.fragment),ze=a(),se=s("p"),se.textContent=ht,Ge=a(),ie=s("p"),ie.innerHTML=gt,Pe=a(),le=s("p"),this.h()},l(e){const o=yt("svelte-1phssyn",document.head);b=i(o,"META",{name:!0,content:!0}),o.forEach(t),me=c(e),he=i(e,"P",{}),g(he).forEach(t),fe=c(e),v=i(e,"H1",{class:!0});var Te=g(v);T=i(Te,"A",{id:!0,class:!0,href:!0});var dt=g(T);ge=i(dt,"SPAN",{});var lt=g(ge);x(E.$$.fragment,lt),lt.forEach(t),dt.forEach(t),Ee=c(Te),U=i(Te,"SPAN",{"data-svelte-h":!0}),u(U)!=="svelte-1g8746e"&&(U.textContent=Be),Te.forEach(t),pe=c(e),H=i(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-kgcmry"&&(H.innerHTML=Ke),_e=c(e),k=i(e,"UL",{"data-svelte-h":!0}),u(k)!=="svelte-4sddhe"&&(k.innerHTML=Qe),be=c(e),D=i(e,"H2",{class:!0});var Re=g(D);R=i(Re,"A",{id:!0,class:!0,href:!0});var mt=g(R);de=i(mt,"SPAN",{});var ft=g(de);x(L.$$.fragment,ft),ft.forEach(t),mt.forEach(t),He=c(Re),F=i(Re,"SPAN",{"data-svelte-h":!0}),u(F)!=="svelte-5lgvbh"&&(F.textContent=Xe),Re.forEach(t),ve=c(e),l=i(e,"DIV",{class:!0});var oe=g(l);x(S.$$.fragment,oe),ke=c(oe),z=i(oe,"P",{"data-svelte-h":!0}),u(z)!=="svelte-hsew6z"&&(z.textContent=Ye),Le=c(oe),G=i(oe,"P",{"data-svelte-h":!0}),u(G)!=="svelte-cin3fe"&&(G.textContent=Ze),oe.forEach(t),De=c(e),q=i(e,"DIV",{class:!0});var Ae=g(q);x(I.$$.fragment,Ae),Se=c(Ae),J=i(Ae,"P",{"data-svelte-h":!0}),u(J)!=="svelte-124n2rz"&&(J.innerHTML=et),Ae.forEach(t),qe=c(e),d=i(e,"DIV",{class:!0});var A=g(d);x(W.$$.fragment,A),Ie=c(A),B=i(A,"P",{"data-svelte-h":!0}),u(B)!=="svelte-1mr0otk"&&(B.textContent=tt),We=c(A),K=i(A,"P",{"data-svelte-h":!0}),u(K)!=="svelte-ieg5lw"&&(K.textContent=nt),Me=c(A),Q=i(A,"UL",{"data-svelte-h":!0}),u(Q)!=="svelte-1t0dmpy"&&(Q.innerHTML=st),A.forEach(t),ye=c(e),m=i(e,"DIV",{class:!0});var ae=g(m);x(M.$$.fragment,ae),je=c(ae),X=i(ae,"P",{"data-svelte-h":!0}),u(X)!=="svelte-3bqgej"&&(X.textContent=it),Ne=c(ae),Y=i(ae,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-1mgaj8j"&&(Y.innerHTML=ot),ae.forEach(t),xe=c(e),f=i(e,"DIV",{class:!0});var ce=g(f);x(j.$$.fragment,ce),Oe=c(ce),Z=i(ce,"P",{"data-svelte-h":!0}),u(Z)!=="svelte-9d6753"&&(Z.textContent=at),Ve=c(ce),ee=i(ce,"P",{"data-svelte-h":!0}),u(ee)!=="svelte-1mgaj8j"&&(ee.innerHTML=ct),ce.forEach(t),Ce=c(e),p=i(e,"DIV",{class:!0});var re=g(p);x(N.$$.fragment,re),Ue=c(re),te=i(re,"P",{"data-svelte-h":!0}),u(te)!=="svelte-1jct6gw"&&(te.textContent=rt),Fe=c(re),ne=i(re,"P",{"data-svelte-h":!0}),u(ne)!=="svelte-1mgaj8j"&&(ne.innerHTML=ut),re.forEach(t),$e=c(e),_=i(e,"DIV",{class:!0});var ue=g(_);x(O.$$.fragment,ue),ze=c(ue),se=i(ue,"P",{"data-svelte-h":!0}),u(se)!=="svelte-1x0b7r2"&&(se.textContent=ht),Ge=c(ue),ie=i(ue,"P",{"data-svelte-h":!0}),u(ie)!=="svelte-1mgaj8j"&&(ie.innerHTML=gt),ue.forEach(t),Pe=c(e),le=i(e,"P",{}),g(le).forEach(t),this.h()},h(){h(b,"name","hf:doc:metadata"),h(b,"content",JSON.stringify(Ct)),h(T,"id","interacting-with-discussions-and-pull-requests"),h(T,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(T,"href","#interacting-with-discussions-and-pull-requests"),h(v,"class","relative group"),h(R,"id","huggingface_hub.Discussion"),h(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),h(R,"href","#huggingface_hub.Discussion"),h(D,"class","relative group"),h(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),h(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){n(document.head,b),r(e,me,o),r(e,he,o),r(e,fe,o),r(e,v,o),n(v,T),n(T,ge),C(E,ge,null),n(v,Ee),n(v,U),r(e,pe,o),r(e,H,o),r(e,_e,o),r(e,k,o),r(e,be,o),r(e,D,o),n(D,R),n(R,de),C(L,de,null),n(D,He),n(D,F),r(e,ve,o),r(e,l,o),C(S,l,null),n(l,ke),n(l,z),n(l,Le),n(l,G),r(e,De,o),r(e,q,o),C(I,q,null),n(q,Se),n(q,J),r(e,qe,o),r(e,d,o),C(W,d,null),n(d,Ie),n(d,B),n(d,We),n(d,K),n(d,Me),n(d,Q),r(e,ye,o),r(e,m,o),C(M,m,null),n(m,je),n(m,X),n(m,Ne),n(m,Y),r(e,xe,o),r(e,f,o),C(j,f,null),n(f,Oe),n(f,Z),n(f,Ve),n(f,ee),r(e,Ce,o),r(e,p,o),C(N,p,null),n(p,Ue),n(p,te),n(p,Fe),n(p,ne),r(e,$e,o),r(e,_,o),C(O,_,null),n(_,ze),n(_,se),n(_,Ge),n(_,ie),r(e,Pe,o),r(e,le,o),we=!0},p:bt,i(e){we||($(E.$$.fragment,e),$(L.$$.fragment,e),$(S.$$.fragment,e),$(I.$$.fragment,e),$(W.$$.fragment,e),$(M.$$.fragment,e),$(j.$$.fragment,e),$(N.$$.fragment,e),$(O.$$.fragment,e),we=!0)},o(e){P(E.$$.fragment,e),P(L.$$.fragment,e),P(S.$$.fragment,e),P(I.$$.fragment,e),P(W.$$.fragment,e),P(M.$$.fragment,e),P(j.$$.fragment,e),P(N.$$.fragment,e),P(O.$$.fragment,e),we=!1},d(e){e&&(t(me),t(he),t(fe),t(v),t(pe),t(H),t(_e),t(k),t(be),t(D),t(ve),t(l),t(De),t(q),t(qe),t(d),t(ye),t(m),t(xe),t(f),t(Ce),t(p),t($e),t(_),t(Pe),t(le)),t(b),w(E),w(L),w(S),w(I),w(W),w(M),w(j),w(N),w(O)}}}const Ct={local:"interacting-with-discussions-and-pull-requests",sections:[{local:"huggingface_hub.Discussion",title:"Data structures"}],title:"Interacting with Discussions and Pull Requests"};function $t(Je){return vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class At extends Dt{constructor(b){super(),qt(this,b,$t,xt,_t,{})}}export{At as component};
